CREATE TABLE "users" (
  "id" SERIAL PRIMARY KEY,
  "email" varchar,
  "login" varchar,
  "password" varchar
);

CREATE TABLE "reports" (
  "id" SERIAL PRIMARY KEY,
  "report_id" varchar,
  "source_ip" varchar,
  "dkim" varchar,
  "spf" varchar,
  "date" timestamp
);

CREATE TABLE "user_reports" (
  "id" BIGSERIAL,
  "reports_id" varchar,
  "user_id" int
);

CREATE TABLE "user_report" (
  "id" int,
  "reports_id" int,
  "user_id" int
);

ALTER TABLE "user_reports" ADD FOREIGN KEY ("reports_id") REFERENCES "reports" ("report_id");

ALTER TABLE "user_reports" ADD FOREIGN KEY ("user_id") REFERENCES "users" ("id");

ALTER TABLE "user_report" ADD FOREIGN KEY ("reports_id") REFERENCES "reports" ("id");

ALTER TABLE "user_report" ADD FOREIGN KEY ("user_id") REFERENCES "users" ("id");
